import { AnimationTriggerMetadata } from '@angular/animations';
import AbstractBounceAnimationPattern, { BounceAnimationParams, BounceAnimationStyleProperties } from './AbstractBounceAnimationPattern';
export declare function bounceVerticalAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare function bounceInUpAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare function bounceInDownAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare function bounceOutUpAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare function bounceOutDownAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare class BounceVerticalAnimationPattern extends AbstractBounceAnimationPattern {
    trigger: string;
    duration: number;
    includeEnterTransitions: boolean;
    includeLeaveTransitions: boolean;
    bounceAnimationParams: Array<BounceAnimationStyleProperties>;
    constructor(trigger?: string, duration?: number, includeEnterTransitions?: boolean, includeLeaveTransitions?: boolean, bounceAnimationParams?: Array<BounceAnimationStyleProperties>);
}
