import AnimationPattern from '../../entities/QAnimationPattern';
import { AnimationTriggerMetadata } from '@angular/animations';
import { CommonAnimationParameters } from '../../entities/QAnimationsMetadata';
import { IAnimationPatternActions } from '../../entities/QAnimationPatternActions';
export interface FadeAnimationParams extends CommonAnimationParameters {
    fadeValue?: number;
    voidFadeValue?: number;
}
export declare function fadeAnimation(params?: FadeAnimationParams): AnimationTriggerMetadata;
export declare function fadeInAnimation(): AnimationTriggerMetadata;
export declare function fadeOutAnimation(): AnimationTriggerMetadata;
export declare class FadeAnimationPattern extends AnimationPattern implements IAnimationPatternActions {
    trigger: string;
    fadeValue: number;
    duration: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    voidFadeValue: number;
    constructor(trigger?: string, fadeValue?: number, duration?: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean, voidFadeValue?: number);
    defineAnimationPatternProperties(): void;
}
