import { AnimationTriggerMetadata } from '@angular/animations';
import { FadeTranslationAnimationPattern, FadeTranslationAnimationParams } from './AbstractFadeTranslationAnimationPattern';
export declare function fadeHorizontalTranslationAnimation(params?: FadeTranslationAnimationParams): AnimationTriggerMetadata;
export declare function fadeInLeftAnimation(): AnimationTriggerMetadata;
export declare function fadeOutLeftAnimation(): AnimationTriggerMetadata;
export declare function fadeInRightAnimation(): AnimationTriggerMetadata;
export declare function fadeOutRightAnimation(): AnimationTriggerMetadata;
export declare class FadeHorizontalTranslationAnimationPattern extends FadeTranslationAnimationPattern {
    trigger: string;
    fadeValue: number;
    translationValue: string;
    duration: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    voidFadeValue: number;
    voidTranslationValue: string;
    constructor(trigger?: string, fadeValue?: number, translationValue?: string, duration?: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean, voidFadeValue?: number, voidTranslationValue?: string);
}
