import { AnimationTriggerMetadata } from '@angular/animations';
import { FadeTranslationAnimationPattern, FadeTranslationAnimationParams } from './AbstractFadeTranslationAnimationPattern';
export declare function fadeVerticalTranslationAnimation(params?: FadeTranslationAnimationParams): AnimationTriggerMetadata;
export declare function fadeInUpAnimation(): AnimationTriggerMetadata;
export declare function fadeOutUpAnimation(): AnimationTriggerMetadata;
export declare function fadeInDownAnimation(): AnimationTriggerMetadata;
export declare function fadeOutDownAnimation(): AnimationTriggerMetadata;
export declare class FadeVerticalTranslationAnimationPattern extends FadeTranslationAnimationPattern {
    trigger: string;
    fadeValue: number;
    translationValue: string;
    duration: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    voidFadeValue: number;
    voidTranslationValue: string;
    constructor(trigger?: string, fadeValue?: number, translationValue?: string, duration?: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean, voidFadeValue?: number, voidTranslationValue?: string);
}
