import { AnimationTriggerMetadata } from '@angular/animations';
import { FillSizeAnimationParams, FillSizeAnimationPattern } from './AbstractFillSizeAnimationPattern';
export declare function fillHeightAnimation(params?: FillSizeAnimationParams): AnimationTriggerMetadata;
export declare class FillHeightAnimationPattern extends FillSizeAnimationPattern {
    trigger: string;
    height: string;
    duration: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    constructor(trigger?: string, height?: string, duration?: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean);
}
