import { AnimationTriggerMetadata } from '@angular/animations';
import { FillSizeAnimationParams, FillSizeAnimationPattern } from './AbstractFillSizeAnimationPattern';
export declare function fillWidthAnimation(params?: FillSizeAnimationParams): AnimationTriggerMetadata;
export declare class FillWidthAnimationPattern extends FillSizeAnimationPattern {
    width: string;
    duration: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    constructor(width?: string, duration?: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean);
}
