import AnimationPattern from '../../entities/QAnimationPattern';
import { CommonAnimationParameters } from '../../entities/QAnimationsMetadata';
import { IAnimationPatternActions } from '../../entities/QAnimationPatternActions';
import { AnimationTriggerMetadata } from '@angular/animations';
export declare function foldInAnimation(params?: CommonAnimationParameters): AnimationTriggerMetadata;
export declare function foldOutAnimation(params?: CommonAnimationParameters): AnimationTriggerMetadata;
export declare class FoldAnimationPattern extends AnimationPattern implements IAnimationPatternActions {
    trigger: string;
    duration: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    constructor(trigger?: string, duration?: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean);
    defineAnimationPatternProperties(): void;
}
