import { AnimationStateMetadata, AnimationTransitionMetadata, AnimationTriggerMetadata } from '@angular/animations';
import State from './QState';
import Transition from './QTransition';
declare class Trigger {
    triggerName: string;
    stateList: Array<State>;
    transitionList: Array<Transition>;
    triggerParams: Array<AnimationStateMetadata | AnimationTransitionMetadata>;
    constructor(triggerName: string, stateList: Array<State>, transitionList: Array<Transition>);
    trigger(): AnimationTriggerMetadata;
}
export default Trigger;
