export * from './lib/angular-animations-library.module';
export { highlightAnimation } from './lib/animations/highlighting/HighlightAnimationPattern';
export { scaleAnimation } from './lib/animations/scaling/ScaleAnimationPattern';
export { flyHorizontalAnimation } from './lib/animations/flying/FlyHorizontalAnimationPattern';
export { flyVerticalAnimation } from './lib/animations/flying/FlyVerticalAnimationPattern';
export { rotateAnimation } from './lib/animations/rotating/RotateAnimationPattern';
export { fillWidthAnimation } from './lib/animations/filling/FillWidthAnimationPattern';
export { fillHeightAnimation } from './lib/animations/filling/FillHeightAnimationPattern';
export { appearAnimation } from './lib/animations/appearing/AppearAnimationPattern';
export { fadeAnimation, fadeInAnimation, fadeOutAnimation } from './lib/animations/fading/FadeAnimationPattern';
export { fadeHorizontalTranslationAnimation, fadeInLeftAnimation, fadeInRightAnimation, fadeOutLeftAnimation, fadeOutRightAnimation } from './lib/animations/fading/FadeHorizontalTranslationAnimationPattern';
export { fadeVerticalTranslationAnimation, fadeInUpAnimation, fadeInDownAnimation, fadeOutUpAnimation, fadeOutDownAnimation } from './lib/animations/fading/FadeVerticalTranslationAnimationPattern';
export { bounceHorizontalAnimation, bounceInLeftAnimation, bounceInRightAnimation, bounceOutLeftAnimation, bounceOutRightAnimation } from './lib/animations/bouncing/BounceHorizontalAnimationPattern';
export { bounceVerticalAnimation, bounceInUpAnimation, bounceInDownAnimation, bounceOutUpAnimation, bounceOutDownAnimation } from './lib/animations/bouncing/BounceVerticalAnimationPattern';
export { foldInAnimation, foldOutAnimation } from './lib/animations/folding/FoldAnimationPattern';
