import AnimationPattern from '../../entities/QAnimationPattern';
import { AnimationTriggerMetadata } from '@angular/animations';
import { CommonAnimationParameters } from '../../entities/QAnimationsMetadata';
import { IAnimationPatternActions } from '../../entities/QAnimationPatternActions';
export interface AppearAnimationParams extends CommonAnimationParameters {
    voidScale?: number;
    activeScale?: number;
}
export declare function appearAnimation(params?: AppearAnimationParams): AnimationTriggerMetadata;
export declare class AppearAnimationPattern extends AnimationPattern implements IAnimationPatternActions {
    duration: number;
    voidScale: number;
    activeScale: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    constructor(duration?: number, voidScale?: number, activeScale?: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean);
    defineAnimationPatternProperties(): void;
}
