import { AnimationTriggerMetadata } from '@angular/animations';
import AbstractBounceAnimationPattern, { BounceAnimationParams, BounceAnimationStyleProperties } from './AbstractBounceAnimationPattern';
export declare function bounceHorizontalAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare function bounceInLeftAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare function bounceInRightAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare function bounceOutLeftAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare function bounceOutRightAnimation(params?: BounceAnimationParams): AnimationTriggerMetadata;
export declare class BounceHorizontalAnimationPattern extends AbstractBounceAnimationPattern {
    trigger: string;
    duration: number;
    includeEnterTransitions: boolean;
    includeLeaveTransitions: boolean;
    bounceAnimationParams: Array<BounceAnimationStyleProperties>;
    constructor(trigger?: string, duration?: number, includeEnterTransitions?: boolean, includeLeaveTransitions?: boolean, bounceAnimationParams?: Array<BounceAnimationStyleProperties>);
}
