import AnimationPattern from '../../entities/QAnimationPattern';
import { IAnimationPatternActions } from '../../entities/QAnimationPatternActions';
import { FadeAnimationParams } from './FadeAnimationPattern';
export interface FadeTranslationAnimationParams extends FadeAnimationParams {
    translationValue?: string;
    voidTranslationValue?: string;
}
export declare abstract class FadeTranslationAnimationPattern extends AnimationPattern implements IAnimationPatternActions {
    trigger: string;
    isHorizontalTranslation: boolean;
    fadeValue: number;
    translationValue: string;
    duration: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    voidFadeValue: number;
    voidTranslationValue: string;
    constructor(trigger?: string, isHorizontalTranslation?: boolean, fadeValue?: number, translationValue?: string, duration?: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean, voidFadeValue?: number, voidTranslationValue?: string);
    defineAnimationPatternProperties(): void;
    getTranslation(): string;
}
