import AnimationPattern from '../../entities/QAnimationPattern';
import { CommonAnimationParameters } from '../../entities/QAnimationsMetadata';
import { IAnimationPatternActions } from '../../entities/QAnimationPatternActions';
export interface FillSizeAnimationParams extends CommonAnimationParameters {
    size?: string;
}
export declare abstract class FillSizeAnimationPattern extends AnimationPattern implements IAnimationPatternActions {
    triggerName: string;
    size: string;
    duration: number;
    isHeight: boolean;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    constructor(triggerName?: string, size?: string, duration?: number, isHeight?: boolean, includeEnterTransition?: boolean, includeLeaveTransition?: boolean);
    defineAnimationPatternProperties(): void;
    getSize(): {};
}
