import State from './QState';
import Transition from './QTransition';
import AbstractAnimationPattern from './QAbstractAnimationPattern';
declare class AnimationPattern extends AbstractAnimationPattern {
    triggerName: string;
    stateList: Array<State>;
    transitionList: Array<Transition>;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    constructor(triggerName: string, stateList: Array<State>, transitionList: Array<Transition>, includeEnterTransition?: boolean, includeLeaveTransition?: boolean);
}
export default AnimationPattern;
