import State from './QState';
import AbstractAnimationPattern from './QAbstractAnimationPattern';
import AnimationStyleProperties from './QAnimationStyleProperties';
import { AnimationTriggerMetadata } from '@angular/animations';
declare class KeyframeAnimationPattern extends AbstractAnimationPattern {
    triggerName: string;
    stateList: Array<State>;
    animationStyleProperties: Array<AnimationStyleProperties>;
    duration: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    constructor(triggerName: string, stateList: Array<State>, animationStyleProperties: Array<AnimationStyleProperties>, duration: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean);
    initKeyframeAnimationPattern(): void;
    getTrigger(): AnimationTriggerMetadata;
}
export default KeyframeAnimationPattern;
